﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for UserDataSource
/// </summary>
public class UserDataSource
{
    int TotalUsers = 100;

	public UserDataSource()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    public UserCollection Select(int maximumRows, int startRowIndex)
    {
       int PageSize = maximumRows;
       int StartPage = startRowIndex / PageSize;
       UserCollection usersCollection = new UserCollection();
       for (; startRowIndex < TotalUsers && maximumRows > 0; startRowIndex++)
        {
           usersCollection.Add(new User
            {
                UserName = String.Format("user{0}", startRowIndex + 1),
                Email = String.Format("user{0}@mail.com", startRowIndex + 1),
                Age = startRowIndex + 1
            });                
           maximumRows--;                      
        }
        return usersCollection;
    }

    public int SelectCount() {
        return TotalUsers;
    }
}

public class UserCollection : List<User> { };